semilimes mcu sdk 1.1.3 semilimes Software Development Kit for microcontrollers

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
DcWebview Class Reference

## Public Member Functions
| ~DcWebview ()
void | set (const char *url, bool enableFullScreenView, const char *viewSize, const char *displayMode, const char *linkDisplayName)
char * | get ()

## Public Attributes
char | viewSizeTypes [4][4] = {"1:1", "1:2", "3:2", "2:1"}
char | displayMode [3][10] = {"link", "thumbnail", "liveweb"}

## Constructor & Destructor Documentation

## ◆ ~DcWebview()

DcWebview::~DcWebview | ( |  | ) |
| inline

Returns
  void

## Member Function Documentation

## ◆ get()

char * DcWebview::get | ( |  | ) |

Returns
  char*

## ◆ set()

void DcWebview::set | ( | const char * | url,
|  | bool | enableFullScreenView,
|  | const char * | viewSize,
|  | const char * | displayMode,
|  | const char * | linkDisplayName )

Parameters

  url | - is the address to be rendered in the webview
  enableFullScreenView | - to enable the fullscreen
  viewSize | - determines the view proportions. Allowed values are: har viewSizeTypes[4][4] = {"1:1", "1:2", "3:2", "2:1"};
  displayMode | - gives the choice to display the destination url in multiple modes (the default behaviour is link): char displayMode [3][10] = {"link", "thumbnail", "liveweb"};
  linkDisplayName | - is used when displayMode is set to link, and it sets a custom name for the displaying URL

Returns
  void

## Member Data Documentation

## ◆ displayMode

char DcWebview::displayMode[3][10] = {"link", "thumbnail", "liveweb"}

Parameters

  char | displayMode [3][10] = {"link", "thumbnail", "liveweb"};

## ◆ viewSizeTypes

char DcWebview::viewSizeTypes[4][4] = {"1:1", "1:2", "3:2", "2:1"}

Parameters

  char | viewSizeTypes[4][4] = {"1:1", "1:2", "3:2", "2:1"};

The documentation for this class was generated from the following files:

- C:/Users/flavio_unige/Desktop/semilimes/sdk/semilimes MCU SDK/github/semilimes_mcu_sdk/src/components/dc_webview.h
- C:/Users/flavio_unige/Desktop/semilimes/sdk/semilimes MCU SDK/github/semilimes_mcu_sdk/src/components/dc_webview.cpp